Bug 8985 - startx fails if there's an xserverrc
Summary: startx fails if there's an xserverrc
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86   
(Show other bugs)
Version: 6.2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-01-30 16:08 UTC by Hans de Goede
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-01 21:09:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch which fixes the described problem. (555 bytes, patch)
2000-01-30 16:09 UTC, Hans de Goede
no flags Details | Diff

Description Hans de Goede 2000-01-30 16:08:52 UTC
The last line of startx is:
xinit $clientargs -- $display $serverargs

And if there's an xserverrc this is added as the first argument of
$serverargs. Causing the final command to be:
xinit foo -- :0 /etc/X11/xinit/xserverrc bar

After which X exists saying that /etc/X11/xinit/xserver rc isn't a valid
argument.

To fix this apply the following diff:
--- startx.orig Sun Jan 30 17:15:32 2000
+++ startx      Sun Jan 30 17:15:52 2000
@@ -19,9 +19,9 @@
 fi

 if [ -f $userserverrc ]; then
-    serverargs=$userserverrc
+    server=$userserverrc
 else if [ -f $sysserverrc ]; then
-    serverargs=$sysserverrc
+    server=$sysserverrc
 fi
 fi

@@ -63,7 +63,7 @@
 xauth add $display . $mcookie
 xauth add `hostname -f`$display . $mcookie

-xinit $clientargs -- $display $serverargs
+xinit $clientargs -- $server $display $serverargs

 # various machines need special cleaning up,
 # which should be done here
----

I've also attached this to the bugreport for your convience ;)

Comment 1 Hans de Goede 2000-01-30 16:09:59 UTC
Created attachment 83 [details]
patch which fixes the described problem.

Comment 2 Preston Brown 2000-02-01 21:09:59 UTC
will be fixed in XFree86-3.3.6-10.


Note You need to log in before you can comment on or make changes to this bug.